Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUPanelRowSetAdapter

`java.lang.Object
oracle.jbo.uicli.jui.JUPanelRowSetAdapter`

All Implemented Interfaces:
  java.util.EventListener, JUPanelRowSetListener

public class JUPanelRowSetAdapter
extends java.lang.Object
implements JUPanelRowSetListener

Default implementation for JUPanelValidationListener interface. This implementation simply prints a diagnostic message for each event it receives. JClient design time creates a subclass of this adapter with overridden methods as per an application's choice when the Event Inspector is used to generate JUPanelValidationEvent listener code.

Constructor Summary
`JUPanelRowSetAdapter()`

Method Summary
`void` | `navigated(JUIteratorBinding iter, NavigationEvent event)` Invoked when the current-row designation changes.
`void` | `rangeRefreshed(JUIteratorBinding iter, RangeRefreshEvent event)` Invoked when the range changes.
`void` | `rangeScrolled(JUIteratorBinding iter, ScrollEvent event)` Invoked when the range is scrolled.
`void` | `rowDeleted(JUIteratorBinding iter, DeleteEvent event)` Invoked when a row has been deleted.
`void` | `rowInserted(JUIteratorBinding iter, InsertEvent event)` Invoked when a row has been inserted.
`void` | `rowUpdated(JUIteratorBinding iter, UpdateEvent event)` Invoked when an attribute of the row has been changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUPanelRowSetAdapter

    public JUPanelRowSetAdapter()

Method Detail

### rangeRefreshed

    public void rangeRefreshed(JUIteratorBinding iter,
                               RangeRefreshEvent event)

  Invoked when the range changes.
  Specified by:
    `rangeRefreshed` in interface `JUPanelRowSetListener`
  Parameters:
    `event` - a description of the new ranges.

### rangeScrolled

    public void rangeScrolled(JUIteratorBinding iter,
                              ScrollEvent event)

  Invoked when the range is scrolled.
  Specified by:
    `rangeScrolled` in interface `JUPanelRowSetListener`
  Parameters:
    `event` - a description of the new range.

### rowInserted

    public void rowInserted(JUIteratorBinding iter,
                            InsertEvent event)

  Invoked when a row has been inserted.
  Specified by:
    `rowInserted` in interface `JUPanelRowSetListener`
  Parameters:
    `event` - a description of the new Row object.

### rowDeleted

    public void rowDeleted(JUIteratorBinding iter,
                           DeleteEvent event)

  Invoked when a row has been deleted.
  Specified by:
    `rowDeleted` in interface `JUPanelRowSetListener`
  Parameters:
    `event` - a description of the deleted Row object.

### rowUpdated

    public void rowUpdated(JUIteratorBinding iter,
                           UpdateEvent event)

  Invoked when an attribute of the row has been changed.
  Specified by:
    `rowUpdated` in interface `JUPanelRowSetListener`
  Parameters:
    `event` - a description of the modified Row object.

### navigated

    public void navigated(JUIteratorBinding iter,
                          NavigationEvent event)

  Invoked when the current-row designation changes.
  Specified by:
    `navigated` in interface `JUPanelRowSetListener`
  Parameters:
    `event` - a description of the new and previous current rows.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.